Uploaded image for project: 'Nuxeo Platform'
  1. Nuxeo Platform
  2. NXP-12166

nuxeo-birt addon has conflict dependencies with nuxeo-connect-client

    XMLWordPrintable

    Details

    • Upgrade notes:
      Hide

      Marketplace package removes conflicting dependencies. It must be installed at last: installing another package after nuxeo-birt may re-add the conflicting dependencies.

      Show
      Marketplace package removes conflicting dependencies. It must be installed at last: installing another package after nuxeo-birt may re-add the conflicting dependencies.

      Description

      BIRT 4.2 has conflict dependencies mainly coming from org.eclipse.equinox:org.eclipse.equinox.p2.cudf:

      org.nuxeo.ecm.core:nuxeo-core-storage-sql:jar
      +- org.nuxeo.runtime:nuxeo-runtime-reload:jar
      |  \- org.nuxeo.runtime:nuxeo-runtime-deploy:jar
      |     +- org.nuxeo.runtime:nuxeo-launcher-commons:jar
      |     |  +- org.freemarker:freemarker:jar:2.3.11:compile
      |     |  \- org.nuxeo.connect:nuxeo-connect-client:jar:1.4.9:compile
      |     |     +- org.json:json:jar:20070829:compile
      |     |     \- org.eclipse.equinox:org.eclipse.equinox.p2.cudf:jar:1.16-NX:compile
      |     |        +- org.sat4j:org.sat4j.pb:jar:2.3.1:compile
      |     |        +- org.sat4j:org.sat4j.core:jar:2.3.1:compile
      |     |        +- org.eclipse.core:org.eclipse.core.jobs:jar:3.5.0.v20100515:compile
      |     |        \- org.eclipse.equinox:org.eclipse.equinox.common:jar:3.6.0.v20100503:compile

      So it must uses the shaded org.nuxeo.connect:nuxeo-connect-client::with-equinox and its Marketplace package must manage the replacements.

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  PagerDuty

                  Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.